## org.apache.tools.ant.taskdefs.optional.ide
Class VAJTask

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ide.VAJTask

Direct Known Subclasses:
  VAJExport, VAJImport, VAJLoad

public class VAJTask
extends Task

Field Summary
`protected java.lang.String` `remoteServer`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VAJTask()`

Method Summary
`protected org.apache.tools.ant.taskdefs.optional.ide.VAJUtil` `getUtil()` returns the VAJUtil implementation
`void` `setRemote(java.lang.String remoteServer)` Name and port of a remote tool server, optiona.

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### remoteServer

    protected java.lang.String remoteServer

Constructor Detail

### VAJTask

    public VAJTask()

Method Detail

### getUtil

    protected org.apache.tools.ant.taskdefs.optional.ide.VAJUtil getUtil()

  returns the VAJUtil implementation

### setRemote

    public void setRemote(java.lang.String remoteServer)

  Name and port of a remote tool server, optiona. Format: <servername>:<port no>. If this attribute is set, the tasks will be executed on the specified tool server.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.